/***************************************************************************
                          contactaddeduserdialog.cpp  -  description
                             -------------------
    begin                : Sun Apr 14 2002
    copyright            : (C) 2002 by Mike K. Bennett
    email                : mkb137b@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "contactaddeduserdialog.h"

#include <QLabel>

#include <KLocale>



ContactAddedUserDialog::ContactAddedUserDialog()
  : KDialog()
  , Ui::ContactAddedUserDialog()
  , returnCode_( BLOCK )
{
  // Load the ui file in a main qwidget
  QWidget *mainWidget = new QWidget( this );
  setupUi( mainWidget );
  setMainWidget( mainWidget );

  // Update the window properties
  setCaption( i18n("You have been added by someone") );
}



ContactAddedUserDialog::~ContactAddedUserDialog()
{
}



// The user pressed the "ok" button
void ContactAddedUserDialog::accept()
{
  if( addContactOption_->isChecked() )
  {
    returnCode_ = ADD;
  }
  else if( allowContactOption_->isChecked() )
  {
    returnCode_ = ALLOW;
  }
  else if( blockContactOption_->isChecked() )
  {
    returnCode_ = BLOCK;
  }

  // Call parent
  KDialog::accept();
}



// The user pressed the "cancel" button
void ContactAddedUserDialog::reject()
{
  // Abort means block too.
  returnCode_ = BLOCK;

  // Call parent
  KDialog::reject();
}



// Show the dialog modally, then return the user's choice.
ContactAddedUserDialog::ReturnCode ContactAddedUserDialog::launch(QString contactHandle, QString contactName)
{
  // Set the default return value
  returnCode_ = BLOCK;

  // Set up the label
  messageLabel_->setText( i18n( "%1 (%2) \n has added you to his or her contact list. "
                                , contactName, contactHandle ) );


  // Show the dialog modally
  exec();

  // The return value should be set properly.  Return it.
  return returnCode_;
}



#include "contactaddeduserdialog.moc"

