/***************************************************************************
                          webcamtransferp2p.h -  description
                             -------------------
    begin                : Wed Dec 27 2006
    copyright            : (C) 2006 by Diederik van der Boor
    email                : vdboor --at-- codingdomain.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef WEBCAMTRANSFERP2P_H
#define WEBCAMTRANSFERP2P_H

#include "p2papplication.h"



/**
 * This class handles the invitations for webcam video transfer.
 *
 * This is currently a STUB class. It rejects the invitation,
 * but displays a better error message instead of "some MSN6 invitation is not supported".
 *
 * @author Diederik van der Boor
 * @ingroup Applications
 */
class WebcamTransferP2P : public P2PApplication
{
  Q_OBJECT

  public:
    // The constructor without application parameters (sufficient for incoming sessions)
                           WebcamTransferP2P(ApplicationList *applicationList);
    // The constructor with application parameters to start a session
//                           WebcamTransferP2P(const QString &contactHandle, ...);

    // The destructor
    virtual               ~WebcamTransferP2P();

    // Return the application's GUID (for the "user push" invitation)
    static QString         getPushAppId();

    // Return the application's GUID (for the "contact pull" invitation)
    static QString         getPullAppId();

  private:

    // Step one of a contact-started chat: the contact invites the user
    void                   contactStarted1_ContactInvitesUser(const MimeMessage& message);
};

#endif
