/***************************************************************************
                          passivepopupview.h -  Displays the passive popup
                            contents
                             -------------------
    begin                : Tuesday April 10 2007
    copyright            : (C) 2007 by Valerio Pilo
    email                : valerio@kmess.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PASSIVEPOPUPVIEW_H
#define PASSIVEPOPUPVIEW_H

#include "../contact/msnstatus.h"
#include "ui_passivepopupview.h"

#include <KGlobal>
#include <KIconLoader>



/**
 * @brief Passive popups layout interface
 *
 * This class derives the passive popup's ui file to insert
 * the layout into the actual popup balloon.
 * The actual layout is defined in the passivepopupinterface.ui file.
 *
 * @author Valerio Pilo <valerio@kmess.org>
 * @ingroup Notification
 */
class PassivePopupView : public QWidget, private Ui::PassivePopupView
{
  Q_OBJECT

  public:  // Public methods
    // Class constructor
    PassivePopupView( QWidget *parent, QString icon, QString message, Status status = STATUS_ONLINE );
    // Changes the popup icon
    void changeIcon( QString icon );
    // Changes the popup status icon
    void changeStatusIcon( Status status );
    // Changes the popup message
    void changeMessage( QString message );

  private:  // Private properties
    // Icons loader
    KIconLoader *iconLoader_;

  signals:
    // Close of popup was requested
    void        closeRequested();
};

#endif
