/***************************************************************************
                          passivepopupwidget.cpp -  Implements the passive
                          popups widget
                             -------------------
    begin                : Tuesday April 10 2007
    copyright            : (C) 2007 by Valerio Pilo
    email                : valerio@kmess.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "passivepopupwidget.h"

#include "../kmessdebug.h"

#include <QMouseEvent>



// Class constructor
PassivePopupWidget::PassivePopupWidget( QWidget *parent )
 : KPassivePopup( parent )
{
  setPopupStyle( KPassivePopup::Balloon );
  setAutoDelete( true );
}



// Class destructor
PassivePopupWidget::~PassivePopupWidget()
{

}



// Handles mouse events for the balloon
void PassivePopupWidget::mouseReleaseEvent( QMouseEvent *e )
{
  if( e->button() == Qt::LeftButton )
  {
    emit leftClicked();
    e->accept();
  }
  else if( e->button() == Qt::RightButton )
  {
    emit rightClicked();
    e->accept();
  }
  else
  {
    e->ignore();
  }
}



#include "passivepopupwidget.moc"
