/***************************************************************************
                          kmessdbus.cpp  -  description
                             -------------------
    begin                : Wed Jun 25 2008
    copyright            : (C) 2008 by Ruben Vandamme
    email                : vandammeru gmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "currentaccount.h"
#include "kmess.h"
#include "kmessdbus.h"
#include "kmessdbusadaptor.h"
#include "kmessdebug.h"

KMessDBus::KMessDBus( KMess *parent )
 : QObject( (QObject*) parent ),
   kmess_( parent )
{
  new RemoteControlAdaptor( this );
  QDBusConnection dbus = QDBusConnection::sessionBus();
  dbus.registerObject( "/remoteControl", this );
}



// The destructor
KMessDBus::~KMessDBus()
{
#ifdef KMESSDEBUG_KMESSDBUS
  kDebug() << "DESTROYED.";
#endif
}



// Connect
void KMessDBus::connect()
{
#ifdef KMESSDEBUG_KMESSDBUS
  kDebug() << "Connect() called";
#endif

  if( ! kmess_->isConnected() )
  {
    kmess_->checkAutologin( "" );
  }
}



// Disconnect
void KMessDBus::disconnect()
{
#ifdef KMESSDEBUG_KMESSDBUS
  kDebug() << "Disconnect() called";
#endif

  if( kmess_->isConnected() )
  {
    kmess_->disconnectClicked();
  }
}



// Check if KMess is connected
bool KMessDBus::isConnected()
{
#ifdef KMESSDEBUG_KMESSDBUS
  kDebug() << "isConnected() called";
#endif

  return kmess_->isConnected();
}



// Set the status
void KMessDBus::setStatus( int status )
{
#ifdef KMESSDEBUG_KMESSDBUS
  kDebug() << "setStatus( int ) called";
#endif

  if( kmess_->isConnected() )
  {
    kmess_->changeStatus( status );
  }
}



// Get the status
int KMessDBus::getStatus()
{
#ifdef KMESSDEBUG_KMESSDBUS
  kDebug() << "getStatus() called";
#endif

  return kmess_->currentAccount_->getStatus();
}
